/***********************************************************************
 * YoLink door sensor device support.
 *
 * Copyright (c) 2022 David Kerr
 *
 */
import { YoLinkPlatformAccessory } from './platformAccessory';
/***********************************************************************
 * initContactSensor
 *
 */
export declare function initContactSensor(this: YoLinkPlatformAccessory): Promise<void>;
/***********************************************************************
 * mqttContactSensor
 *
 * Example of message received.
 * {
 *   "event":"DoorSensor.Alert",
 *   "time":1660154987072,
 *   "msgid":"1660154987071",
 *   "data": {
 *     "state":"open",
 *     "alertType":"normal",
 *     "battery":4,
 *     "version":"0703",
 *     "loraInfo": {
 *       "signal":-77,
 *       "gatewayId":"abcdef1234567890",
 *       "gateways":1
 *     },
 *     "stateChangedAt":1660154987070
 *   },
 *   "deviceId":"abcdef1234567890"
 * }
 *
 * state may be "open", "closed", or "error"
 * alertType may be "normal", or "openRemind"
 *
 * Alternate message when OpenRemind time is changed...
 * {
 *   "event":"DoorSensor.setOpenRemind",
 *   "time":1660174192117,
 *   "msgid":"1660174192116",
 *   "data": {
 *     "delay":0,
 *     "openRemindDelay":20,
 *     "alertInterval":0,
 *     "loraInfo": {
 *       "signal":-65,
 *       "gatewayId":"abcdef1234567890",
 *       "gateways":1
 *     }
 *   },
 *   "deviceId":"abcdef1234567890"
 * }
 */
export declare function mqttContactSensor(this: YoLinkPlatformAccessory, message: any): Promise<void>;
//# sourceMappingURL=contactDevice.d.ts.map